fop 1.1

## org.apache.fop.render.awt.viewer
Class PageChangeEvent

    java.lang.Object
      java.util.EventObject
          org.apache.fop.render.awt.viewer.PageChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PageChangeEvent

extends java.util.EventObject

Swing event fired whenever the current page selection of a `PreviewPanel` changes. Page numbers are 0-based.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PageChangeEvent(PreviewPanel panel, int oldPage, int newPage)` Creates an new page change event.

Method Summary
`int` `getNewPage()` Returns the new page.
`int` `getOldPage()` Returns the old page.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageChangeEvent

    public PageChangeEvent(PreviewPanel panel,
                           int oldPage,
                           int newPage)

  Creates an new page change event.

  Parameters:
    `panel` - the preview panel the event is produced for.
    `oldPage` - the old page (zero based)
    `newPage` - the new page (zero based)

Method Detail

### getNewPage

    public int getNewPage()

  Returns the new page.

  Returns:
    the new page (zero based)

### getOldPage

    public int getOldPage()

  Returns the old page.

  Returns:
    the old page (zero based)

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.